<?php



namespace WpieApp\Extensions\Export\Polylang\Controller\Items\Taxonomy;

use WpieApp\Modules\Export\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class Manager {

        
        public static function init() {

                \add_action( 'Wpie/Export/Base/Fields', [ __NAMESPACE__ . '\Fields', 'get' ], 1, 2 );

                \add_action( 'Wpie/Export/Base/Data', [ __NAMESPACE__ . '\DataCenter', 'processData' ], 1, 2 );

                \add_filter( 'Wpie/Export/Base/Query', [ __NAMESPACE__ . '\Engine', 'addQuery' ], 1, 2 );
                
                self::removeFilters();
        }

        
        public static function removeFilters() {

                // Filters to prime terms cache

                \remove_filter( 'get_terms', [ PLL()->model->term, '_prime_terms_cache' ], 10 );
                \remove_filter( 'get_object_terms', [ PLL()->model->term, 'wp_get_object_terms' ], 10 );
                \remove_filter( 'clean_term_cache', [ PLL()->model->term, 'clean_term_cache' ] );
        }

}
