<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\DataCenters;

use WpieApp\Core\Utils\User;
use WpieApp\Modules\Export\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\DataCenter;

defined( 'WPIE__FILE__' ) || exit;


class Customer extends Base {

        
        public static function get( $element = '' ) {

                if ( 'customer_email' === $element ) {
                        return self::getEmail();
                }

                return parent::get( $element );
        }

        
        public static function getEmail() {

                $userId = parent::getData( 'customer_id' );

                return User::getEmail( $userId );
        }

}
