<?php



namespace WpieApp\Extensions\Export\YoastSeo\Controller\Items\User;

use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Extensions\Export\YoastSeo\Controller\Items\User\Fields\Seo;

defined( 'WPIE__FILE__' ) || exit;


class Fields {

        
        public static function get( $fields = [], $contentType = '' ) {

                $fields[ "yoast-seo" ] = Seo::get();

                return $fields;
        }

        
        public static function excludeMetaQuery( $metas = [], $contentType = '' ) {

                $where = [ " AND `usermeta`.`meta_key` NOT LIKE 'wpseo%' AND `usermeta`.`meta_key` NOT LIKE '%yoast%'" ];

                
                $where = \apply_filters( 'Wpie/Export/User/Fields/Meta/Query/Where/YoastSeo', $where );

                return array_merge( $metas, $where );
        }

        
        public static function getExcludesMeta( $excludes = [], $type = "" ) {

                $meta = [ 'facebook', 'instagram', 'linkedin', 'myspace', 'pinterest', 'soundcloud', 'tumblr', 'twitter', 'youtube', 'wikipedia', 'mastodon' ];

                
                return array_merge( $excludes, $meta );
        }

}
