<?php



namespace WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Base\Fields\General;

defined( 'WPIE__FILE__' ) || exit;


class Title {

        
        public static function getBlocks() {

                return [
                        "title"         => __( 'SEO Title', 'wp-import-export' ),
                        "desc"          => __( 'SEO Title', 'wp-import-export' ),
                        "order"         => 10,
                        "isActive"      => true,
                        "isRecommended" => true,
                        "fields"        => [
                                "title" => [
                                        "order"      => 5,
                                        "label"      => __( 'SEO Title', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "title" => [
                                                        "description" => __( "SEO Title", 'wp-import-export' ),
                                                        "name"        => "fields/allinoneseo/general/title/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ 'text' => __( 'Optional', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'Recommended', 'wp-import-export' ) ],
                                                        ]
                                                ]
                                        ],
                                ],
                        ]
                ];
        }
}
