<?php



namespace WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Base\Fields\Twitter;

defined( 'WPIE__FILE__' ) || exit;


class CardType {

        
        public static function getBlocks() {
                return [
                        "title"  => __( 'Card Type', 'wp-import-export' ),
                        "desc"   => __( 'Twitter Card Type', 'wp-import-export' ),
                        "order"  => 40,
                        "fields" => [
                                "card" => [
                                        "order"      => 5,
                                        "label"      => __( 'Card Type', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "card" => [
                                                        "description"   => __( "SEO Twitter Card Type", 'wp-import-export' ),
                                                        "name"          => "fields/allinoneseo/twitter/card/data",
                                                        "type"          => "radio",
                                                        "default"       => "as_specified",
                                                        "choices"       => [
                                                                "default"             => __( 'Default (Set under Social Networks)', 'wp-import-export' ),
                                                                "summary"             => __( 'Summary', 'wp-import-export' ),
                                                                "summary_large_image" => __( 'Summary with Large Image', 'wp-import-export' ),
                                                                "as_specified"        => __( 'As specified', 'wp-import-export' )
                                                        ],
                                                        "choices-class" => [
                                                                "default"      => "bse-form-check-success",
                                                                "as_specified" => "bse-form-check-primary"
                                                        ],
                                                        "fields"        => [
                                                                "as_specified" => [
                                                                        "card-as-specified" => [
                                                                                "order"      => 5,
                                                                                "sub-fields" => [
                                                                                        "card" => [
                                                                                                "name"  => "fields/allinoneseo/twitter/card/data_as_specified",
                                                                                                "class" => "",
                                                                                                "order" => 5,
                                                                                                "type"  => "text",
                                                                                                "hint"  => [
                                                                                                        [ 'text' => __( 'Optional', 'wp-import-export' ) ],
                                                                                                        [ 'text' => __( 'Default: default', 'wp-import-export' ) ],
                                                                                                        [ 'text' => __( 'default, summary, summary_large_image all values are supported', 'wp-import-export' ) ],
                                                                                                ],
                                                                                        ]
                                                                                ]
                                                                        ]
                                                                ]
                                                        ],
                                                ]
                                        ],
                                ],
                        ]
                ];
        }
}
