<?php



namespace WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\User\Fields\Social;

defined( 'WPIE__FILE__' ) || exit;


class Tiktok {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'Tiktok URL', 'wp-import-export' ),
                        "desc"   => __( 'SEO Tiktok URL', 'wp-import-export' ),
                        "order"  => 21,
                        "fields" => [
                                "tiktok_url" => [
                                        "order"      => 5,
                                        "label"      => __( 'Tiktok URL', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "tiktok_url" => [
                                                        "description" => __( "SEO Tiktok URL", 'wp-import-export' ),
                                                        "name"        => "fields/allinoneseo/social/tiktok_url/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ 'text' => __( 'Optional', 'wp-import-export' ) ],
                                                        ]
                                                ]
                                        ],
                                ],
                        ]
                ];
        }
}
