<?php



namespace WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\User\Fields\Social;

defined( 'WPIE__FILE__' ) || exit;


class TwitterLagacy {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'Twitter', 'wp-import-export' ),
                        "desc"   => __( 'SEO Twitter', 'wp-import-export' ),
                        "order"  => 10,
                        "fields" => [
                                "twitter_url" => [
                                        "order"      => 5,
                                        "label"      => __( 'Twitter', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "twitter_url" => [
                                                        "description" => __( "SEO Twitter", 'wp-import-export' ),
                                                        "name"        => "fields/allinoneseo/social/twitter_url/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ 'text' => __( 'Optional', 'wp-import-export' ) ],
                                                        ]
                                                ]
                                        ],
                                ],
                        ]
                ];
        }
}
