<?php



namespace WpieApp\Extensions\Import\Polylang\Controller\Items\Base;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Base\DataCenter;
use WpieApp\Extensions\Import\Polylang\Controller\Items\Base\Engines\Language;

defined( 'WPIE__FILE__' ) || exit;


class Engine {

        
        protected static $language = '';

        
        public static function preProcessing() {

                Language::set();

                static::$language = Language::get();

        }

        
        public static function init() {

                static::updateLanguage();

                static::setLanguage();

                static::setTranslation();
             
        }

        
        protected static function getLanguage() {
                
        }
        
        public static function setLanguage() {
                
        }

        
        public static function setTranslation() {
                
        }

        
        protected static function updateLanguage() {

                if ( DataCenter::isNewItem() ) {
                        return;
                }

                if ( '' !== Language::getImport() ) {
                        return;
                }

                static::$language = static::getLanguage();

                Language::update( static::$language );
        }
}
