<?php



namespace WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Base\Fields\General;

defined( 'WPIE__FILE__' ) || exit;


class Title {

        
        public static function getBlocks() {

                return [
                        "title"    => __( 'Title', 'wp-import-export' ),
                        "desc"     => __( 'SEO Title', 'wp-import-export' ),
                        "order"    => 5,
                        "isActive" => true,
                        "fields"   => [
                                "title" => [
                                        "order"      => 5,
                                        "label"      => __( 'SEO Title', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "title" => [
                                                        "description" => __( "SEO Title", 'wp-import-export' ),
                                                        "name"        => "fields/rankmathseo/general/title/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ 'text' => __( 'optional', 'wp-import-export' ) ],
                                                        ]
                                                ]
                                        ],
                                ],
                        ]
                ];
        }
}
