<?php



namespace WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Base\Fields\Twitter;

defined( 'WPIE__FILE__' ) || exit;


class EnableImageOverlay {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'Add Icon Overlay to Thumbnail', 'wp-import-export' ),
                        "desc"   => __( 'Twitter Add Icon Overlay to Thumbnail', 'wp-import-export' ),
                        "order"  => 20,
                        "fields" => [
                                "enable_image_overlay" => [
                                        "description"   => __( "SEO Twitter Add Icon Overlay to Thumbnail", 'wp-import-export' ),
                                        "name"          => "fields/rankmathseo/twitter/enable_image_overlay/data",
                                        "type"          => "radio",
                                        "default"       => "as_specified",
                                        "choices"       => [
                                                "no"           => __( "No", 'wp-import-export' ),
                                                "yes"          => __( "Yes", 'wp-import-export' ),
                                                "as_specified" => __( "As specified", 'wp-import-export' )
                                        ],
                                        "choices-class" => [
                                                "no"           => "bse-form-check-success",
                                                "as_specified" => "bse-form-check-primary"
                                        ],
                                        "fields"        => [
                                                "as_specified" => [
                                                        "enable_image_overlay-as-specified" => [
                                                                "order"      => 5,
                                                                "sub-fields" => [
                                                                        "enable_image_overlay" => [
                                                                                "name"  => "fields/rankmathseo/twitter/enable_image_overlay/data_as_specified",
                                                                                "class" => "",
                                                                                "order" => 5,
                                                                                "type"  => "text",
                                                                                "hint"  => [
                                                                                        [ 'text' => __( 'dptional', 'wp-import-export' ) ],
                                                                                        [ 'text' => __( 'default: off', 'wp-import-export' ) ],
                                                                                        [ 'text' => __( 'off, on, yes, no, true, false, 1, 0 all values are supported', 'wp-import-export' ) ],
                                                                                ],
                                                                        ]
                                                                ]
                                                        ]
                                                ]
                                        ],
                                ]
                        ]
                ];
        }
}
