<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Coupon\Fields\UsageRestriction;

defined( 'WPIE__FILE__' ) || exit;


class MinimumSpend {

        
        public static function getBlocks() {

                return [
                        "title"    => __( 'Minimum spend', 'wp-import-export' ),
                        "desc"     => __( 'Minimum spend', 'wp-import-export' ),
                        "order"    => 10,
                        "isActive" => true,
                        "fields"   => [
                                "minimum_amount" => [
                                        "order"      => 10,
                                        "label"      => __( 'Minimum spend', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "minimum_amount" => [
                                                        "description" => __( "Minimum spend", 'wp-import-export' ),
                                                        "name"        => "fields/restriction/minimum_amount/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ 'text' => __( 'optional', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'Positive numbers only', 'wp-import-export' ), 'class' => 'text-danger' ],
                                                        ]
                                                ]
                                        ],
                                ],
                        ]
                ];
        }

}
