<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Customer;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\User\Fields as UserFields;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Customer\Fields\Billing;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Customer\Fields\Shipping;

defined( 'WPIE__FILE__' ) || exit;


class Fields extends UserFields {

        
        public static function getFields() {

                return array_replace(
                        parent::getFields(),
                        [
                                "billing"  => Billing::get(),
                                "shipping" => Shipping::get(),
                        ]
                );
        }

}
