<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Customer\Fields\Billing;

use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class Address2 {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'Address line 2', 'wp-import-export' ),
                        "desc"   => __( 'Address line 2', 'wp-import-export' ),
                        "order"  => 50,
                        "fields" => [
                                "address_2" => [
                                        "order"      => 10,
                                        "label"      => __( 'Address line 2', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "address_2" => [
                                                        "description" => __( 'Address line 2', 'wp-import-export' ),
                                                        "name"        => "fields/billing/address_2/data",
                                                        "type"        => "textarea",
                                                ]
                                        ]
                                ]
                        ]
                ];
        }

}
