<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Customer\Fields\Billing;

use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class LastName {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'Last Name', 'wp-import-export' ),
                        "desc"   => __( 'Last Name', 'wp-import-export' ),
                        "order"  => 20,
                        "fields" => [
                                "last_name" => [
                                        "order"      => 10,
                                        "label"      => __( 'Last Name', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "last_name" => [
                                                        "description" => __( 'Last Name', 'wp-import-export' ),
                                                        "name"        => "fields/billing/last_name/data",
                                                        "type"        => "textarea",
                                                ]
                                        ],
                                ],
                        ]
                ];
        }

}
