<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Customer\Fields\Shipping;

use WpieApp\Modules\Import\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class Options {

        
        public static function getBlocks() {

                return [
                        "title"      => __( 'Options', 'wp-import-export' ),
                        "desc"       => __( 'Shipping Options', 'wp-import-export' ),
                        "order"      => 1,
                        "block-type" => "options",
                        "fields"     => [
                                "copy_billing" => [
                                        "order"      => 10,
                                        "label"      => __( 'Copy from billing address', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "copy_billing" => [
                                                        "description" => __( 'Copy Shipping address from billing address', 'wp-import-export' ),
                                                        "name"        => "fields/shipping/copy_billing/data",
                                                        "order"       => 5,
                                                        "is-switch"   => true,
                                                        "type"        => "checkbox",
                                                        "default"     => [],
                                                        "choices"     => [
                                                                "1" => __( "Copy from billing address", 'wp-import-export' ),
                                                        ]
                                                ]
                                        ]
                                ],
                        ]
                ];
        }

}
