<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Engines;

use WpieApp\Core\Utils\Date;
use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\DataCenter;

defined( 'WPIE__FILE__' ) || exit;


class Other {

        
        public static function update() {

                self::VatExempt();
        }

        
        private static function VatExempt() {

                if ( !DataCenter::canUpdate( "other/vat-exempt" ) ) {
                        return;
                }

                $vatExempt = DataCenter::get( "other/vat-exempt/data" );

                DataCenter::getItem()->update_meta_data( 'is_vat_exempt', (Helper::detectBoolVal( $vatExempt ) === true) ? 'yes' : 'no' );
        }
}
