<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Product;

use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class Meta {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'Meta', 'wp-import-export' ),
                        "desc"   => __( 'Meta', 'wp-import-export' ),
                        "order"  => 999,
                        "fields" => [
                                "meta" => [
                                        "order"      => 5,
                                        "label"      => __( 'Product Meta', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "meta" => [
                                                        "description" => __( 'Product Meta', 'wp-import-export' ),
                                                        "name"        => "fields/product/meta/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ "text" => __( 'Optional', 'wp-import-export' ) ],
                                                                [ "text" => __( 'Only accept JSON format', 'wp-import-export' ) ],
                                                        ]
                                                ]
                                        ],
                                ],
                        ]
                ];
        }

}
