<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\ShippingMethod;

use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class Tax {

        
        public static function getBlocks() {

                return [
                        "title"         => __( 'Shipping Taxes', 'wp-import-export' ),
                        "desc"          => __( 'Shipping Taxes', 'wp-import-export' ),
                        "order"         => 40,
                        "isRecommended" => true,
                        "fields"        => [
                                "taxes" => [
                                        "order"      => 5,
                                        "label"      => __( 'Shipping Taxes', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "taxes"    => [
                                                        "description" => __( 'Shipping Taxes', 'wp-import-export' ),
                                                        "name"        => "fields/shipping-method/tax/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ "text" => __( 'Optional', 'wp-import-export' ) ],
                                                                [ "text" => __( 'Only accept JSON format', 'wp-import-export' ) ],
                                                        ]
                                                ],
                                                
                                        ],
                                ],
                        ]
                ];
        }

}
