<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\LinkedProducts;

use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class CrossSells {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'Cross sells', 'wp-import-export' ),
                        "desc"   => __( 'Cross sells Products', 'wp-import-export' ),
                        "order"  => 20,
                        "fields" => [
                                "cross-sells" => [
                                        "order"      => 10,
                                        "label"      => __( 'Cross sells Products', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "cross-sells" => [
                                                        "description" => __( 'Products matched by SKU, ID, Content, Slug or Title', 'wp-import-export' ),
                                                        "name"        => "fields/linked-products/cross-sells/data",
                                                        "type"        => "textarea",
                                                        "order"       => 10,
                                                ],
                                                "separator"   => [
                                                        "description" => __( 'Multiple Cross sells Products separated by', 'wp-import-export' ),
                                                        "name"        => "fields/linked-products/cross-sells/separator",
                                                        "type"        => "text",
                                                        "value"       => "|~|",
                                                        "order"       => 20,
                                                        "hint"        => [
                                                                [ "text" => __( 'Default: |~|', 'wp-import-export' ) ],
                                                                [ "text" => __( 'Optional', 'wp-import-export' ) ],
                                                        ]
                                                ],
                                        ],
                                ],
                        ]
                ];
        }
}
