<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\Standard;

defined( 'WPIE__FILE__' ) || exit;


class Title {

        
        public static function getBlocks() {

                return [
                        "title"         => __( 'Name', 'wp-import-export' ),
                        "desc"          => __( 'Product name', 'wp-import-export' ),
                        "order"         => 10,
                        "isRecommended" => true,
                        "isActive"      => true,
                        "fields"        => [
                                "item-title" => [
                                        "order"      => 10,
                                        "label"      => __( 'Product Name', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "title" => [
                                                        "description" => __( 'Product name', 'wp-import-export' ),
                                                        "name"        => "fields/standard/title/data",
                                                        "type"        => "textarea",
                                                ]
                                        ],
                                ],
                        ]
                ];
        }

}
