<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\Stock;

use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class SKU {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'SKU', 'wp-import-export' ),
                        "desc"   => __( 'Stock Keeping Unit', 'wp-import-export' ),
                        "order"  => 40,
                        "fields" => [
                                "sku" => [
                                        "order"      => 10,
                                        "label"      => __( 'SKU', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "sku" => [
                                                        "description" => __( 'Stock Keeping Unit', 'wp-import-export' ),
                                                        "name"        => "fields/stock/sku/data",
                                                        "type"        => "textarea",
                                                ]
                                        ],
                                ],
                        ]
                ];
        }

}
