<?php



namespace WpieApp\Extensions\Import\YoastSeo\Controller\Items\Base\Fields\Advanced;

defined( 'WPIE__FILE__' ) || exit;


class BreadcrumbsTitle {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'Breadcrumbs Title', 'wp-import-export' ),
                        "desc"   => __( 'Breadcrumbs Title', 'wp-import-export' ),
                        "order"  => 30,
                        "fields" => [
                                "breadcrumbs-title" => [
                                        "order"      => 5,
                                        "label"      => __( 'Breadcrumbs Title', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "breadcrumbs-title" => [
                                                        "description" => __( "SEO Breadcrumbs Title", 'wp-import-export' ),
                                                        "name"        => "fields/yoastseo/advanced/breadcrumbs_title/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ 'text' => __( 'Optional', 'wp-import-export' ) ],
                                                        ]
                                                ]
                                        ],
                                ],
                        ]
                ];
        }
}
