<?php



namespace WpieApp\Extensions\Import\YoastSeo\Controller\Items\Post\Fields\News;

defined( 'WPIE__FILE__' ) || exit;


class StockTickers {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'Stock Tickers', 'wp-import-export' ),
                        "desc"   => __( 'Stock Tickers', 'wp-import-export' ),
                        "order"  => 20,
                        "fields" => [
                                "stock_tickers" => [
                                        "order"      => 5,
                                        "label"      => __( 'Stock Tickers', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "stock_tickers" => [
                                                        "description" => __( "Stock Tickers", 'wp-import-export' ),
                                                        "name"        => "fields/yoastseo/news/stock_tickers/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ 'text' => __( 'Optional', 'wp-import-export' ) ],
                                                        ]
                                                ]
                                        ],
                                ],
                        ]
                ];
        }
}
