<?php



namespace WpieApp\Extensions\Import\YoastSeo\Controller\Items\User\Fields\General;

defined( 'WPIE__FILE__' ) || exit;


class ReadabilityAnalysis {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'Readability Analysis', 'wp-import-export' ),
                        "desc"   => __( 'Readability Analysis', 'wp-import-export' ),
                        "order"  => 25,
                        "fields" => [
                                "readabilityanalysis" => [
                                        "order"      => 5,
                                        "label"      => __( 'Disable Readability Analysis', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "readabilityanalysis" => [
                                                        "description"   => __( "Disable Readability Analysis", 'wp-import-export' ),
                                                        "name"          => "fields/yoastseo/general/readabilityanalysis/data",
                                                        "type"          => "radio",
                                                        "default"       => "as_specified",
                                                        "choices"       => [
                                                                "off"          => __( "Off", 'wp-import-export' ),
                                                                "on"           => __( "On", 'wp-import-export' ),
                                                                "as_specified" => __( "As specified", 'wp-import-export' )
                                                        ],
                                                        "choices-class" => [
                                                                "off"          => "bse-form-check-success",
                                                                "as_specified" => "bse-form-check-primary"
                                                        ],
                                                        "hint"          => [
                                                                [ 'text' => __( 'Optional', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'Default : off', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'on, off, yes, no, true, false, 1, 0 values are supported', 'wp-import-export' ) ],
                                                        ],
                                                        "fields"        => [
                                                                "as_specified" => [
                                                                        "readabilityanalysis-as-specified" => [
                                                                                "order"      => 5,
                                                                                "sub-fields" => [
                                                                                        "readabilityanalysis" => [
                                                                                                "name"  => "fields/yoastseo/general/readabilityanalysis/data_as_specified",
                                                                                                "class" => "",
                                                                                                "order" => 5,
                                                                                                "type"  => "text",
                                                                                        ]
                                                                                ]
                                                                        ]
                                                                ]
                                                        ],
                                                ]
                                        ],
                                ],
                        ]
                ];
        }
}
