<?php



namespace WpieApp\Extensions\Import\YoastSeo\Controller\Items\User\Fields\Schema;

defined( 'WPIE__FILE__' ) || exit;


class Expertise {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'Expertise In', 'wp-import-export' ),
                        "desc"   => __( 'Expertise In', 'wp-import-export' ),
                        "order"  => 30,
                        "fields" => [
                                "expertise"      => [
                                        "order"      => 5,
                                        "label"      => __( 'Expertise In', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "expertise" => [
                                                        "description" => __( "SEO Expertise In", 'wp-import-export' ),
                                                        "name"        => "fields/yoastseo/schema/expertise/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ 'text' => __( 'Optional', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'Multiple value support', 'wp-import-export' ) ],
                                                                [ 'text' => __( "e.g. PHP, JavaScript, 90's rock music", 'wp-import-export' ) ],
                                                        ]
                                                ]
                                        ],
                                ],
                                "item-separator" => [
                                        "order"      => 10,
                                        "label"      => __( 'Expertise Data separator', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "item-separator" => [
                                                        "description" => __( 'Each Expertise separated by', 'wp-import-export' ),
                                                        "type"        => "text",
                                                        "name"        => "fields/yoastseo/schema/expertise/separator",
                                                        "value"       => ",",
                                                        "hint"        => [
                                                                [ 'text' => __( 'Default : ,(comma)', 'wp-import-export' ) ],
                                                        ]
                                                ],
                                        ],
                                ],
                        ]
                ];
        }
}
