<?php



namespace WpieApp\Extensions\Import\YoastSeo\Controller\Items\User\Fields\Schema;

defined( 'WPIE__FILE__' ) || exit;


class Gender {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'Gender', 'wp-import-export' ),
                        "desc"   => __( 'Gender', 'wp-import-export' ),
                        "order"  => 20,
                        "fields" => [
                                "gender" => [
                                        "order"      => 5,
                                        "label"      => __( 'Gender', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "gender" => [
                                                        "description" => __( "SEO Gender", 'wp-import-export' ),
                                                        "name"        => "fields/yoastseo/schema/gender/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ 'text' => __( 'Optional', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'E.g. female, male, non-binary', 'wp-import-export' ) ],
                                                        ]
                                                ]
                                        ],
                                ],
                        ]
                ];
        }
}
