<?php



namespace WpieApp\Modules\Base\View;

defined( 'WPIE__FILE__' ) || exit;


class Footer {

        
        public static function get() {

                return [
                        'title'    => __( 'Help & Support', 'wp-import-export' ),
                        'sections' => [
                                [
                                        'title'      => __( 'Documentation', 'wp-import-export' ),
                                        'btn'        => __( 'Read the documentation', 'wp-import-export' ),
                                        'link'       => esc_url( WPIE_DOC_URL ),
                                        'icon-class' => "fa-solid fa-book",
                                        'desc'       => __( 'It is a great starting point to fix some of the most common issues.', 'wp-import-export' ),
                                ],
                                [
                                        'title'      => __( 'Frequently Asked Questions', 'wp-import-export' ),
                                        'btn'        => __( 'Read FAQs', 'wp-import-export' ),
                                        'link'       => esc_url( WPIE_FAQ_URL ),
                                        'icon-class' => "fa-solid fa-question",
                                        'desc'       => __( 'Take a look at the most popular questions about Plugin. It is very likely that we already have an answer for you!', 'wp-import-export' ),
                                ],
                                [
                                        'title'      => __( 'Still no luck? We can help!', 'wp-import-export' ),
                                        'btn'        => __( 'Ask Support', 'wp-import-export' ),
                                        'btn-class'  => 'btn-primary',
                                        'link'       => esc_url( WPIE_SUPPORT_URL ),
                                        'icon-class' => "fa-regular fa-life-ring",
                                        'desc'       => __( 'Contact us and we’ll get back to you as soon as possible.', 'wp-import-export' ),
                                ],
                        ]
                ];
        }
}
