<?php




namespace WpieApp\Modules\Export\Controller\Items\Post;

use WpieApp\Modules\Export\Controller\Items\Base\Filters\Base;
use WpieApp\Modules\Export\Controller\Items\Post\Filters\Standard;
use WpieApp\Modules\Export\Controller\Items\Post\Filters\Meta;
use WpieApp\Modules\Export\Controller\Items\Post\Filters\Taxonomy;
use WpieApp\Modules\Export\Controller\Items\Post\Filters\Author;

defined( 'WPIE__FILE__' ) || exit;


class Filter extends Base {

        
        protected static function addRule() {

                switch ( self::getOption( "type", "field" ) ) {

                        case 'standard':
                                Standard::addRule();
                                break;
                        case 'user':
                                Author::addRule();
                                break;
                        case 'meta':
                                Meta::addRule();
                                break;
                        case 'taxonomy':
                                Taxonomy::addRule();
                                break;
                }

                
                \do_action( 'Wpie/Export/Post/Filter/Add', self::getOption( "type", "field" ) );
        }

}
