<?php



namespace WpieApp\Modules\Export\Controller\Items\User;

use WpieApp\Modules\Export\Controller\Items\Base\DataCenters\Base;
use WpieApp\Modules\Export\Controller\Items\User\DataCenters\Standard;
use WpieApp\Modules\Export\Controller\Items\User\DataCenters\Meta;

defined( 'WPIE__FILE__' ) || exit;


class DataCenter extends Base  {

        
        protected static function setItem() {

                self::$item = \get_user_by( "id", self::$id );

                if ( !self::$item ) {
                        return false;
                }
                return true;
        }

        
        protected static function processData() {

                $type = self::getFieldOption( "type" );

                $data = "";

                switch ( $type ) {

                        case 'standard':
                                $data = Standard::getField();
                                break;

                        case 'meta':
                                $data = Meta::getField();
                                break;
                }


                
                return \apply_filters( 'Wpie/Export/User/Data', $data, $type );
        }

}
