<?php



namespace WpieApp\Modules\Import\Controller\Items\Base\AutoDetect;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Extensions\Manager as Extensions;
use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\File\Bundle;
use WpieApp\Modules\Export\Controller\Settings as ExportSettings;
use WpieApp\Modules\Export\Controller\Items\Manager as ExportItems;

defined( 'WPIE__FILE__' ) || exit;


class Export {

        
        public static function getFields() {

                if ( 1 === \absint( Settings::getOption( "isBundle" ) ) ) {
                        return Bundle::getFields();
                }

                $data = [
                        "category"     => Helper::_post( "category" ),
                        "content_type" => Helper::_post( "content_type" )
                ];

                Extensions::loadExportExtensions();

                ExportSettings::autoLoadData( $data );

                return ExportItems::get( 'fields' );
        }
}
