<?php



namespace WpieApp\Modules\Import\Controller\Items\Comment\Fields\Author;

use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class Email {

        
        public static function getBlocks() {

                $contentType = Settings::getContentLabel();

                return [
                        "title"         => __( 'Email', 'wp-import-export' ),
                        "desc"          => __( 'Email', 'wp-import-export' ),
                        "order"         => 20,
                        "isRecommended" => true,
                        "fields"        => [
                                "email" => [
                                        "order"      => 10,
                                        "label"      => __( 'Email', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "email" => [
                                                        /* translators: %s: content type */
                                                        "description" => sprintf( __( 'The email address of the %s author', 'wp-import-export' ), $contentType ),
                                                        "name"        => "fields/author/email/data",
                                                        "type"        => "textarea",
                                                ]
                                        ],
                                ],
                        ]
                ];
        }
}
