<?php



namespace WpieApp\Modules\Import\Controller\Items\Comment\Fields\Standard;

use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class Type {

        
        public static function getBlocks() {

                $contentType = Settings::getContentLabel();

                return [
                        "title"         => __( 'Type', 'wp-import-export' ),
                        "desc"          => __( 'Type', 'wp-import-export' ),
                        "order"         => 20,
                        "isRecommended" => true,
                        "fields"        => [
                                "type" => [
                                        "order"      => 10,
                                        "label"      => __( 'Type', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "type" => [
                                                        /* translators: %s: content type */
                                                        "description" => sprintf( __( '%s type', 'wp-import-export' ), $contentType ),
                                                        "name"        => "fields/standard/type/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ "text" => __( 'Recommended', 'wp-import-export' ) ],
                                                                [ "text" => __( 'Default : comment', 'wp-import-export' ) ],
                                                        ]
                                                ]
                                        ],
                                ],
                        ]
                ];
        }

}
