<?php



namespace WpieApp\Modules\Import\Controller\Items\Post\Fields\Other;

defined( 'WPIE__FILE__' ) || exit;


class Status {

        
        public static function getBlocks() {

                $statuses = \get_post_stati();

                $statuses[ "as_specified" ] = __( "As specified", 'wp-import-export' );

                return [
                        "title"    => __( 'Status', 'wp-import-export' ),
                        "desc"     => __( 'Post status', 'wp-import-export' ),
                        "order"    => 10,
                        "isActive" => true,
                        "fields"   => [
                                "item-status" => [
                                        "order"      => 5,
                                        "label"      => __( 'Post Status', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "post_status" => [
                                                        "description"   => __( 'Default Status : Publish', 'wp-import-export' ),
                                                        "name"          => "fields/standard/post_status/data",
                                                        "type"          => "radio",
                                                        "default"       => "publish",
                                                        "choices"       => $statuses,
                                                        "hints"         => [
                                                                "as_specified" => __( 'Custom Status specified by you', 'wp-import-export' ),
                                                        ],
                                                        "hint"          => [
                                                                [ "text" => __( 'Optional', 'wp-import-export' ) ],
                                                                [ "text" => __( 'Default : publish', 'wp-import-export' ) ],
                                                        ],
                                                        "choices-class" => [
                                                                "publish"      => "bse-form-check-success",
                                                                "as_specified" => "bse-form-check-primary"
                                                        ],
                                                        "fields"        => [
                                                                "as_specified" => [
                                                                        "post_status-as-specified" => [
                                                                                "order"      => 5,
                                                                                "sub-fields" => [
                                                                                        "as-specified" => [
                                                                                                "description" => __( 'All Above statuses are supported', 'wp-import-export' ),
                                                                                                "name"        => "fields/standard/post_status/data_as_specified",
                                                                                                "class"       => "",
                                                                                                "order"       => 10,
                                                                                                "type"        => "textarea",
                                                                                        ]
                                                                                ]
                                                                        ]
                                                                ]
                                                        ],
                                                ]
                                        ]
                                ]
                        ]
                ];
        }

}
