<?php



namespace WpieApp\Modules\Import\Controller\Items\Post\Fields\Other;

use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class StickPost {

        
        public static function getBlocks() {

                if ( 'page' === Settings::getContentType() ) {
                        return [];
                }

                return [
                        "title"  => __( 'Stick Post', 'wp-import-export' ),
                        "desc"   => __( 'Stick Post', 'wp-import-export' ),
                        "order"  => 20,
                        "fields" => [
                                "item-status" => [
                                        "order"      => 5,
                                        "label"      => __( 'Is Stick Post?', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "stick_post" => [
                                                        "description"   => __( 'Stick to the top of the blog', 'wp-import-export' ),
                                                        "name"          => "fields/standard/stick_post/data",
                                                        "type"          => "radio",
                                                        "default"       => "no",
                                                        "choices"       => [
                                                                "no"           => __( "No", 'wp-import-export' ),
                                                                "yes"          => __( "Yes", 'wp-import-export' ),
                                                                "as_specified" => __( "As specified", 'wp-import-export' ),
                                                        ],
                                                        "hint"          => [
                                                                [ "text" => __( 'Optional', 'wp-import-export' ) ],
                                                                [ "text" => __( 'Default : No', 'wp-import-export' ) ],
                                                        ],
                                                        "choices-class" => [
                                                                "as_specified" => "bse-form-check-primary"
                                                        ],
                                                        "fields"        => [
                                                                "as_specified" => [
                                                                        "stick_post-as-specified" => [
                                                                                "order"      => 5,
                                                                                "sub-fields" => [
                                                                                        "as-specified" => [
                                                                                                "name"  => "fields/standard/stick_post/data_as_specified",
                                                                                                "class" => "",
                                                                                                "order" => 10,
                                                                                                "type"  => "textarea",
                                                                                        ]
                                                                                ]
                                                                        ]
                                                                ]
                                                        ],
                                                ]
                                        ]
                                ]
                        ]
                ];
        }

}
