<?php



namespace WpieApp\Modules\Import\Controller\Items\Term\Engines;

use WpieApp\Core\Utils\DB;
use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Term\Settings;
use WpieApp\Modules\Import\Controller\Items\Base\Logger;
use WpieApp\Modules\Import\Controller\Items\Term\DataCenter;
use WpieApp\Modules\Import\Controller\Items\Term\Engine;

defined( 'WPIE__FILE__' ) || exit;


class Standard {

        
        public static function get() {

                $data = [];

                if ( DataCenter::canUpdate( "standard/name" ) ) {
                        $data[ "name" ] = DataCenter::get( "standard/name/data" );
                }
                if ( DataCenter::canUpdate( "standard/slug" ) ) {
                        $data[ "slug" ] = DataCenter::get( "standard/slug/data" );
                }
                if ( DataCenter::canUpdate( "standard/description" ) ) {
                        $data[ "description" ] = DataCenter::get( "standard/description/data" );
                }

                return $data;
        }

}
