<?php



namespace WpieApp\Modules\Import\Controller\Items\Term;

use WpieApp\Modules\Import\Controller\Items\Term\Settings;
use WpieApp\Modules\Import\Controller\Items\Term\ExistingItemsFields\Standard;
use WpieApp\Modules\Import\Controller\Items\Base\ExistingItemsFields as BaseFields;

\defined( 'WPIE__FILE__' ) || exit;


class ExistingItemsFields extends BaseFields {

        
        public static function get() {

                $type = Settings::getTaxonomy();

                
                \do_action( 'Wpie/Import/Term/ExistingItemsFields/Init', $type );

                $fields = static::getFields();

                
                self::$data = \apply_filters( 'Wpie/Import/Term/ExistingItemsFields', $fields, $type );

                unset( $fields );

                return self::getHtml();
        }

        
        public static function getFields() {

                return [
                        "standard" => Standard::get(),
                ];
        }

}
