<?php



namespace WpieApp\Extensions\Export\Acf\Controller\Items\User\Fields;

use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Extensions\Export\Acf\Controller\Items\Base\Fields\Acf as BaseAcf;

defined( 'WPIE__FILE__' ) || exit;


class Acf extends BaseAcf implements InterfaceField {

        
        public static function getFieldGroupArg() {
                return [ 'user_role' => 'all' ];
        }

        
        public static function getLocationFilters() {

                return [ 'current_user', 'current_user_role', 'user_form', 'user_role' ];
        }

}
