<?php



namespace WpieApp\Extensions\Export\Acf;

use WpieApp\Modules\Export\Helpers\Helper;
use WpieApp\Extensions\Base\Middleware as BaseMiddleware;
use WpieApp\Extensions\Export\Acf\View\Manager as View;
use WpieApp\Extensions\Export\Acf\Controller\ContentTypes;
use WpieApp\Extensions\Export\Acf\Controller\Manager as Controller;

defined( 'WPIE__FILE__' ) || exit;


class Middleware extends BaseMiddleware {

        
        protected $requiredPlugins = [ "Acf" => '5.8' ];

        
        public function boot() {

                ContentTypes::init();

                Controller::init();
        }
}
