<?php



namespace WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Base\Fields\Advanced;

defined( 'WPIE__FILE__' ) || exit;


class DefaultSettings {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'Use Default Settings', 'wp-import-export' ),
                        "desc"   => __( 'Use Default Settings', 'wp-import-export' ),
                        "order"  => 1,
                        "fields" => [
                                "robots_default" => [
                                        "order"      => 10,
                                        "label"      => __( 'Robots Setting', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "robots_default" => [
                                                        "description" => __( 'Use Default Settings', 'wp-import-export' ),
                                                        "name"        => "fields/allinoneseo/advanced/robots_default/data",
                                                        "order"       => 5,
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ 'text' => __( 'Optional', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'Default: yes', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'off, on, yes, no, true, false, 1, 0 all values are supported', 'wp-import-export' ) ],
                                                        ],
                                                ]
                                        ]
                                ],
                        ]
                ];
        }
}
