<?php



namespace WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Base\Fields\Advanced;

defined( 'WPIE__FILE__' ) || exit;


class Frequency
{

    
    public static function getBlocks ()
    {
        $choices = \array_combine( self::getFrequency() , \array_map( "ucwords" , self::getFrequency() ) );

        $choices["as_specified"] = __( "As specified" , 'wp-import-export' );

        return [
                "title"  => __( 'Frequency' , 'wp-import-export' ) ,
                "desc"   => __( 'Frequency Score' , 'wp-import-export' ) ,
                "order"  => 65 ,
                "fields" => [
                        "frequency" => [
                                "order"      => 5 ,
                                "label"      => __( 'Frequency' , 'wp-import-export' ) ,
                                "sub-fields" => [
                                        "frequency" => [
                                                "description"   => __( "SEO Frequency Score" , 'wp-import-export' ) ,
                                                "name"          => "fields/allinoneseo/advanced/frequency/data" ,
                                                "type"          => "radio" ,
                                                "default"       => "as_specified" ,
                                                "choices"       => $choices ,
                                                "choices-class" => [
                                                        "default"      => "bse-form-check-success" ,
                                                        "as_specified" => "bse-form-check-primary"
                                                ] ,
                                                "fields"        => [
                                                        "as_specified" => [
                                                                "frequency-as-specified" => [
                                                                        "order"      => 5 ,
                                                                        "sub-fields" => [
                                                                                "frequency" => [
                                                                                        "name"  => "fields/allinoneseo/advanced/frequency/data_as_specified" ,
                                                                                        "class" => "" ,
                                                                                        "order" => 5 ,
                                                                                        "type"  => "text" ,
                                                                                        "hint"  => [
                                                                                                [ 'text' => __( 'Optional' , 'wp-import-export' ) ] ,
                                                                                                [ 'text' => __( 'Default : default' , 'wp-import-export' ) ] ,
                                                                                                /* translators: %s: SEO Frequency Score */
                                                                                                [ 'text' => sprintf( __( '%s all values are supported' , 'wp-import-export' ) , \implode( ", " , self::getFrequency() ) ) ] ,
                                                                                        ] ,
                                                                                ]
                                                                        ]
                                                                ]
                                                        ]
                                                ] ,
                                        ]
                                ] ,
                        ] ,
                ]
        ];
    }

    
    public static function getFrequency ()
    {
        return [ "default" , "always" , "hourly" , "daily" , "weekly" , "monthly" , "yearly" , "never" ];
    }
}
