<?php



namespace WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Post\Fields;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Post\Fields\Schema\Type;

defined( 'WPIE__FILE__' ) || exit;


class Schema implements InterfaceField {

        
        public static function get() {

                $fields = [
                        "label"           => __( 'All In One SEO - Schema', 'wp-import-export' ),
                        "class"           => "wpie-allinone-schema-fields",
                        "hide-bulk-check" => true,
                        "order"           => 32.3,
                        "pro-backdrop"    => WPIE_PRO ? false : true,
                        "blocks"          => static::getFields()
                ];

                
                return \apply_filters( 'Wpie/Import/Post/Fields/AllInOneSeo/Schema', $fields, Settings::getContentType() );
        }

        
        protected static function getFields() {

                return [
                        "allinoneseo/schema/schema" => Type::getBlocks(),
                ];
        }
}
