<?php



namespace WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Post\Fields\General;

defined( 'WPIE__FILE__' ) || exit;


class PillarContent {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'Pillar Content', 'wp-import-export' ),
                        "desc"   => __( 'SEO Pillar Content', 'wp-import-export' ),
                        "order"  => 25,
                        "fields" => [
                                "pillar_content" => [
                                        "order"      => 5,
                                        "label"      => __( 'Pillar Content', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "pillar_content" => [
                                                        "description"   => __( "SEO Pillar Content", 'wp-import-export' ),
                                                        "name"          => "fields/rankmathseo/general/pillar_content/data",
                                                        "type"          => "radio",
                                                        "default"       => "as_specified",
                                                        "choices"       => [
                                                                "no"           => __( "No", 'wp-import-export' ),
                                                                "yes"          => __( "Yes", 'wp-import-export' ),
                                                                "as_specified" => __( "As specified", 'wp-import-export' )
                                                        ],
                                                        "choices-class" => [
                                                                "no"           => "bse-form-check-success",
                                                                "as_specified" => "bse-form-check-primary"
                                                        ],
                                                        "fields"        => [
                                                                "as_specified" => [
                                                                        "pillar-content-as-specified" => [
                                                                                "order"      => 5,
                                                                                "sub-fields" => [
                                                                                        "pillar-content" => [
                                                                                                "name"  => "fields/rankmathseo/general/pillar_content/data_as_specified",
                                                                                                "order" => 5,
                                                                                                "type"  => "text",
                                                                                                "hint"  => [
                                                                                                        [ 'text' => __( 'Optional', 'wp-import-export' ) ],
                                                                                                        [ 'text' => __( 'Default: off', 'wp-import-export' ) ],
                                                                                                        [ 'text' => __( 'off, on, yes, no, true, false, 1, 0 all values are supported', 'wp-import-export' ) ],
                                                                                                ],
                                                                                        ]
                                                                                ]
                                                                        ]
                                                                ]
                                                        ],
                                                ]
                                        ],
                                ],
                        ]
                ];
        }
}
