<?php



namespace WpieApp\Extensions\Import\RankMathSeo\Controller\Items\User;

use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\User\Fields\General;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\User\Fields\Facebook;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\User\Fields\Twitter;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\User\Fields\Advanced;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\User\Fields\Profile;

defined( 'WPIE__FILE__' ) || exit;


class Fields {

        
        public static function init() {
                \add_filter( 'Wpie/Import/Base/Fields', [ __CLASS__, 'get' ], 10, 2 );
        }

        
        public static function get( $fields = [], $contentType = '' ) {

                $fields[ "rankmathseo-general" ] = General::get();

                $fields[ "rankmathseo-advanced" ] = Advanced::get();

                $fields[ "rankmathseo-facebook" ] = Facebook::get();

                $fields[ "rankmathseo-twitter" ] = Twitter::get();
                
                $fields[ "rankmathseo-profile" ] = Profile::get();

                return $fields;
        }
}
