<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Category\Fields\Standard;

defined( 'WPIE__FILE__' ) || exit;


class Order {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'Order', 'wp-import-export' ),
                        "desc"   => __( 'Order', 'wp-import-export' ),
                        "order"  => 50,
                        "fields" => [
                                "order" => [
                                        "order"      => 10,
                                        "label"      => __( 'Order', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "order" => [
                                                        "description" => __( "Integer value only. Leave empty for auto", 'wp-import-export' ),
                                                        "name"        => "fields/standard/order/data",
                                                        "type"        => "textarea",
                                                        "hint"        => __( 'Leave empty for auto', 'wp-import-export' ),
                                                ]
                                        ],
                                ],
                        ]
                ];
        }
}
