<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Coupon\Engines;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Post\DataCenter;

defined( 'WPIE__FILE__' ) || exit;


class UsageLimits {

        
        public static function update() {


                if ( DataCenter::canUpdate( 'usage_limit/usage_limit' ) ) {

                        $usageLimit = DataCenter::get( "usage_limit/usage_limit/data" );

                        Meta::update( 'usage_limit', Helper::toNumber( $usageLimit ) );
                }

                if ( DataCenter::canUpdate( 'usage_limit/limit_usage_to_x_items' ) ) {

                        $usagexItems = DataCenter::get( "usage_limit/limit_usage_to_x_items/data" );

                        Meta::update( 'limit_usage_to_x_items', Helper::toNumber( $usagexItems ) );
                }
                if ( DataCenter::canUpdate( 'usage_limit/usage_limit_per_user' ) ) {

                        $limit = DataCenter::get( "usage_limit/usage_limit_per_user/data" );

                        Meta::update( 'usage_limit_per_user', Helper::toNumber( $limit ) );
                }
        }

}
