<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Coupon;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Post\Fields as PostFields;
use WpieApp\Modules\Import\Controller\Items\Post\Fields\Meta;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Coupon\Fields\Standard;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Coupon\Fields\Usage;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Coupon\Fields\UsageRestriction;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Coupon\Fields\UsageLimits;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Coupon\Fields\PostGeneral;


defined( 'WPIE__FILE__' ) || exit;


class Fields extends PostFields {

        
        public static function getFields() {

                return [
                        "standard"          => Standard::get(),
                        "usage"             => Usage::get(),
                        "usage-restriction" => UsageRestriction::get(),
                        "usage-limits"      => UsageLimits::get(),
                        "meta"              => Meta::get(),
                        "post-general"      => PostGeneral::get()
                ];
        }

}
