<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Engines;

use WpieApp\Core\Utils\Date;
use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\DataCenter;

defined( 'WPIE__FILE__' ) || exit;


class Billing {

        
        public static function update() {

                if ( DataCenter::canUpdate( "billing/first-name" ) ) {
                        DataCenter::getItem()->set_billing_first_name( DataCenter::get( "billing/first-name/data" ) );
                }
                if ( DataCenter::canUpdate( "billing/last-name" ) ) {
                        DataCenter::getItem()->set_billing_last_name( DataCenter::get( "billing/last-name/data" ) );
                }
                if ( DataCenter::canUpdate( "billing/company" ) ) {
                        DataCenter::getItem()->set_billing_company( DataCenter::get( "billing/company/data" ) );
                }
                if ( DataCenter::canUpdate( "billing/address-1" ) ) {
                        DataCenter::getItem()->set_billing_address_1( DataCenter::get( "billing/address-1/data" ) );
                }
                if ( DataCenter::canUpdate( "billing/address-2" ) ) {
                        DataCenter::getItem()->set_billing_address_2( DataCenter::get( "billing/address-2/data" ) );
                }
                if ( DataCenter::canUpdate( "billing/city" ) ) {
                        DataCenter::getItem()->set_billing_city( DataCenter::get( "billing/city/data" ) );
                }
                if ( DataCenter::canUpdate( "billing/postcode" ) ) {
                        DataCenter::getItem()->set_billing_postcode( DataCenter::get( "billing/postcode/data" ) );
                }
                if ( DataCenter::canUpdate( "billing/country" ) ) {
                        DataCenter::getItem()->set_billing_country( DataCenter::get( "billing/country/data" ) );
                }
                if ( DataCenter::canUpdate( "billing/state" ) ) {
                        DataCenter::getItem()->set_billing_state( DataCenter::get( "billing/state/data" ) );
                }
                if ( DataCenter::canUpdate( "billing/email" ) ) {
                        DataCenter::getItem()->set_billing_email( DataCenter::get( "billing/email/data" ) );
                }
                if ( DataCenter::canUpdate( "billing/phone" ) ) {
                        DataCenter::getItem()->set_billing_phone( DataCenter::get( "billing/phone/data" ) );
                }
        }

}
