<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Review;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Comment\Fields as CommentFields;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Review\Fields\Standard;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Review\Fields\Post;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Review\Fields\Extra;

defined( 'WPIE__FILE__' ) || exit;


class Fields extends CommentFields {

        
        public static function getFields() {

                return array_replace(
                        parent::getFields(),
                        [
                                "standard" => Standard::get(),
                                "post"     => Post::get(),
                                "extra"    => Extra::get(),
                        ]
                );
        }

}
