<?php



namespace WpieApp\Modules\Export\Controller\Items\Comment\DataCenters;

use WpieApp\Core\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Comment\DataCenter;

defined( 'WPIE__FILE__' ) || exit;


class Post {

        private static $comment = [];

        
        public static function getField() {

                $element = DataCenter::getFieldOption( "element" );

                if ( Helper::isEmptyStr( $element ) ) {
                        return "";
                }

                $post = isset( DataCenter::getItem()->comment_post_ID ) ? DataCenter::getItem()->comment_post_ID : 0;

                if ( absint( $post ) <= 0 ) {
                        return "";
                }

                $data = \get_post_field( $element, $post );

                if ( 'post_name' === $element ) {
                        $data = \urldecode_deep( $data );
                }

                
                return \apply_filters( 'Wpie/Export/Comment/Post/Data', $data, Settings::getContentType() );
        }
}
