<?php



namespace WpieApp\Modules\Import\Controller\Items\Post\Fields\Author;

defined( 'WPIE__FILE__' ) || exit;


class Author {

        
        public static function getBlocks() {

                return [
                        "title"    => __( 'Author', 'wp-import-export' ),
                        "desc"     => __( 'Author', 'wp-import-export' ),
                        "order"    => 5,
                        "isActive" => true,
                        "fields"   => [
                                "item-author" => [
                                        "order"      => 5,
                                        "label"      => __( 'Author', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "user/author" => [
                                                        "name"        => "fields/user/author/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ "text" => __( 'Optional', 'wp-import-export' ) ],
                                                                [ "text" => __( 'Default : Current login user', 'wp-import-export' ) ],
                                                                [ "text" => __( 'Enter username, login or email address', 'wp-import-export' ) ]
                                                        ]
                                                ],
                                        ],
                                ],
                        ]
                ];
        }

}
