<?php



namespace WpieApp\Modules\Import\Controller\Items\Term;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Settings as ImportSetting;

defined( 'WPIE__FILE__' ) || exit;


class Settings extends ImportSetting {

        
        public static function getTaxonomy() {

                $taxonomy = self::getOption( 'taxonomy/name', false );

                if ( false !== $taxonomy ) {
                        return $taxonomy;
                }

                return parent::getContentType();
        }

        
        public static function getTaxonomyLabel() {

                $taxonomy = self::getOption( 'taxonomy/label' );

                if ( Helper::isNonEmptyStr( $taxonomy ) ) {
                        return $taxonomy;
                }

                return parent::getContentLabel();
        }
}
