<?php



namespace WpieApp\Modules\Import\View\ContentSetup;

defined( 'WPIE__FILE__' ) || exit;


class Manager {

        
        public static function get() {

                
                return \apply_filters(
                        'Wpie/Modules/Import/View/FileSetup',
                        [
                                "class"             => "wpie-content-setup-wrapper d-none",
                                "groupClass"        => "wpie-content-setup",
                                "order"             => 15,
                                "menuWrapperClass"  => "d-none",
                                "blockWrapperClass" => "col-12 shadow-sm bg-white",
                                "notes"             => self::getNotes(),
                                "blocks"            => [
                                        "content-type" => ContentType::getBlocks(),
                                ]
                        ]
                );
        }

        
        public static function getNotes() {

                
                return \apply_filters(
                        'Wpie/Modules/Import/View/ContentSetup/Notes',
                        [
                                [
                                        "type"       => "primary",
                                        "icon-class" => "fa-solid fa-circle-info",
                                        "class"      => 'me-3',
                                        "text"       => __( 'Select the items you want to import', 'wp-import-export' ),
                                ]
                        ]
                );
        }
}
